/// <reference path="./geolib.d.ts" />
var geolib_1 = require("geolib");
function convertPoint(latLng) {
    return {
        latitude: latLng.lat,
        longitude: latLng.lng
    };
}
function leafletLayerToLatLngFilter(layer, layerType) {
    if (layerType === "circle") {
        var circle = layer;
        return function (latLng) { return geolib_1.isPointInCircle(convertPoint(latLng), convertPoint(circle.getLatLng()), circle.getRadius()); };
    }
    else if (layerType === "rectangle" || layerType === "polygon") {
        var polygon = layer;
        return function (latLng) { return geolib_1.isPointInside(convertPoint(latLng), polygon.getLatLngs().map(convertPoint)); };
    }
    else {
        return function () { return true; };
    }
}
exports.leafletLayerToLatLngFilter = leafletLayerToLatLngFilter;
//# sourceMappingURL=geoFilter.js.map